package com.ym.mec.biz.dal.page;

import java.util.Date;
import java.util.List;

import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2020/3/6
 */
public class StudentQueryInfo extends QueryInfo {

    private String groupType;

    private Integer teacherId;

    private Integer studentId;

    private Integer organId;

    private List<String> organIdList;

    private String cloudStudyUseTime;

    private String cloudStudyRunningDays;
    
    private Date cloudTeacherTrainStartDate;
    
    private Date cloudTeacherTrainEndDate;

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public List<String> getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(List<String> organIdList) {
        this.organIdList = organIdList;
    }

    public String getCloudStudyUseTime() {
        return cloudStudyUseTime;
    }

    public void setCloudStudyUseTime(String cloudStudyUseTime) {
        this.cloudStudyUseTime = cloudStudyUseTime;
    }

    public String getCloudStudyRunningDays() {
        return cloudStudyRunningDays;
    }

    public void setCloudStudyRunningDays(String cloudStudyRunningDays) {
        this.cloudStudyRunningDays = cloudStudyRunningDays;
    }

	public Date getCloudTeacherTrainStartDate() {
		return cloudTeacherTrainStartDate;
	}

	public void setCloudTeacherTrainStartDate(Date cloudTeacherTrainStartDate) {
		this.cloudTeacherTrainStartDate = cloudTeacherTrainStartDate;
	}

	public Date getCloudTeacherTrainEndDate() {
		return cloudTeacherTrainEndDate;
	}

	public void setCloudTeacherTrainEndDate(Date cloudTeacherTrainEndDate) {
		this.cloudTeacherTrainEndDate = cloudTeacherTrainEndDate;
	}
}
